clan::UniformBufferProvider Class Reference - ClanLib SDK
Description: clan::UniformBufferProvider Class Reference

Public Member Functions | List of all members
clan::UniformBufferProvider Class Referenceabstract
clanDisplay Display

Uniform Buffer provider. More...

`#include <uniform_buffer_provider.h>`

## Public Member Functions
virtual | ~UniformBufferProvider ()
virtual void | copy_from (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data from transfer buffer.
virtual void | copy_to (GraphicContext &gc, TransferBuffer &buffer, int dest_pos, int src_pos, int size)=0
| Copies data to transfer buffer.
virtual void | create (const void *data, int size, BufferUsage usage)=0
| Create.
virtual void | create (int size, BufferUsage usage)=0
| Constructs a vertex array buffer.
virtual void | upload_data (GraphicContext &gc, const void *data, int size)=0
| Uploads data to uniforms buffer.

## Detailed Description

Uniform Buffer provider.

## Constructor & Destructor Documentation

## ◆ ~UniformBufferProvider()

virtual clan::UniformBufferProvider::~UniformBufferProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ copy_from()

virtual void clan::UniformBufferProvider::copy_from | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data from transfer buffer.

## ◆ copy_to()

virtual void clan::UniformBufferProvider::copy_to | ( | GraphicContext & | gc,
|  | TransferBuffer & | buffer,
|  | int | dest_pos,
|  | int | src_pos,
|  | int | size )
| pure virtual

Copies data to transfer buffer.

## ◆ create() [1/2]

virtual void clan::UniformBufferProvider::create | ( | const void * | data,
|  | int | size,
|  | BufferUsage | usage )
| pure virtual

Create.

Parameters

  data | = void
  size | = value
  usage | = Buffer Usage

## ◆ create() [2/2]

virtual void clan::UniformBufferProvider::create | ( | int | size,
|  | BufferUsage | usage )
| pure virtual

Constructs a vertex array buffer.

## ◆ upload_data()

virtual void clan::UniformBufferProvider::upload_data | ( | GraphicContext & | gc,
|  | const void * | data,
|  | int | size )
| pure virtual

Uploads data to uniforms buffer.

The size specified must match the size of the buffer and is only included to help guard against buffer overruns.

The documentation for this class was generated from the following file:

- uniform_buffer_provider.h